import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import 'item_collection_preview.dart';

class GeneratedPage extends StatelessWidget {
  const GeneratedPage({Key? key}) : super(key: key);

  static void push(BuildContext context) {
    Navigator.of(context).push(MaterialPageRoute(
      builder: (_) => const GeneratedPage(),
    ));
  }

  @override
  Widget build(BuildContext context) {
    return KntWhiteStatusBarPage(
      page: Scaffold(
        body: Column(
          mainAxisSize: MainAxisSize.min,
          children: const [
            KntDefaultToolBar(titlePage: 'Generated page'),
            ItemCollectionPreview(),
          ],
        ),
      ),
    );
  }
}
