import 'storage_type.dart';

class Photo {
  final String id;
  final String coverUri;
  final String mediumSizeUri;
  final String thumbnailUri;
  final StorageType storageType;

  const Photo({
    required this.id,
    required this.coverUri,
    required this.mediumSizeUri,
    required this.thumbnailUri,
    this.storageType = StorageType.network,
  });
}
