class TabIcon {
  /// LocaleKey for title of BottomBarItem. Follow EasyLocalization for helps
  final String localeKeyTitle;

  /// Active icon for BottomBarItem, must be in SVG format
  final String activeImagePath;

  /// Inactive icon for BottomBarItem, must be in SVG format
  final String inactiveImagePath;

  const TabIcon({
    this.localeKeyTitle = '',
    this.activeImagePath = '',
    this.inactiveImagePath = '',
  });
}
